petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAStencilType

Determines if the stencil extends only along the coordinate directions, or also to the northeast, northwest etc

### Synopsis

    typedef enum { DMDA_STENCIL_STAR,DMDA_STENCIL_BOX } DMDAStencilType;

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMDACreate(), DMDASetStencilType()

### Level

beginner

### Location

src/dm/impls/da/../../../../include/petscdmdatypes.h

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex12.c.html
src/dm/examples/tutorials/ex15.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages